> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.getlynks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Values List

> Retrieve a list of all values associated with the provided category identifier and optionally filter by attribute identifier.



## OpenAPI

````yaml get /data/values
openapi: 3.1.0
info:
  title: Lynks AI External API
  description: External API documentation for Lynks AI.
  version: 1.0.0
servers:
  - url: https://ai.getlynks.io/api
security: []
paths:
  /data/values:
    get:
      summary: Retrieve Values List
      description: >-
        Retrieve a list of all values associated with the provided category
        identifier and optionally filter by attribute identifier.
      operationId: retrieve_values_list_data_values_get
      parameters:
        - name: category_identifier
          in: query
          required: false
          schema:
            type: string
            description: The identifier of the category whose values you want to find.
            title: Category Identifier
          description: The identifier of the category whose values you want to find.
        - name: attribute_identifier
          in: query
          required: false
          schema:
            type: string
            description: >-
              The identifier of the attribute whose values you want to find. You
              need to provide category_identifier as well.
            title: Attribute Identifier
          description: >-
            The identifier of the attribute whose values you want to find. You
            need to provide category_identifier as well.
      responses:
        '200':
          description: List of Values for the selected category and attribute.
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_value_count:
                    type: integer
                  values:
                    type: array
                    items:
                      $ref: '#/components/schemas/Value'
                  attribute:
                    $ref: '#/components/schemas/Attribute'
                  category:
                    $ref: '#/components/schemas/Category'
                required:
                  - total_value_count
                  - values
                  - attribute
                  - category
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
          OpenAIKey: []
        - APIKey: []
components:
  schemas:
    Value:
      properties:
        identifier:
          type: string
          title: Identifier
        languages:
          $ref: '#/components/schemas/Languages'
      type: object
      required:
        - identifier
        - languages
      title: Value
    Attribute:
      properties:
        identifier:
          type: string
          title: Identifier
        requirement_level:
          type: string
          title: Requirement Level
        languages:
          $ref: '#/components/schemas/Languages'
      type: object
      required:
        - identifier
        - requirement_level
        - languages
      title: Attribute
    Category:
      properties:
        identifier:
          type: string
          title: Identifier
        languages:
          $ref: '#/components/schemas/Languages'
      type: object
      required:
        - identifier
        - languages
      title: Category
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Languages:
      properties:
        en:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        de:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        fr:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        it:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
      type: object
      title: Languages
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LanguageDetails:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: LanguageDetails
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-Api-Key
    OpenAIKey:
      type: apiKey
      in: header
      name: X-OpenAI-Key

````